Title1 'C_ex404a.sas   2002-6-28  Y.Takahashi' ;

data C404 ;
    input dose @@ ;
	ln_dose = log(dose) ;
	do  drug = '1:DDT', '2:BHC', '3:mix' ;
	  input  r  n @@;
	  D1 = (drug='1:DDT') ;
	  D2 = (drug='2:BHC') ;
	  D3 = (drug='3:mix') ;
	  output ;
	end ;
datalines ;
2.00    3  50    2  50   28  50
2.64    5  49   14  49   37  50
3.48   19  47   20  50   46  50
4.59   19  50   27  50   48  50
6.06   24  49   41  50   48  50
8.00   35  50   40  50   50  50
;
proc sort data=C404 ;
    by drug dose ;
	run ;

Title2  '<<< Data >>>';
proc print data=C404 ; 
    id  drug ;
    by  drug ; 
run ;


Title2 '<<< Natural Response >>>' ;
proc probit data=C404  c=0.1 ;
    class  drug ;
	model  r/n = drug ln_dose / dist=logistic noint lackfit;
	run ;


Title2 '<<< Parallel lines  (Natural Response) >>>>';
proc genmod data=C404 ;
    class  drug ;
	pai = 0.1 ;
	p = _mean_ ;
    xbeta = _xbeta_ ;
	fwdlink  link = log((p-pai)/(1-p)) ;
	invlink  ilink = pai+(1-pai)*(exp(xbeta)/(1+exp(xbeta))) ;
	model  r/n = drug ln_dose /  dist=binomial  noint covb ;
	run ;


	data study;
      input Dose Respond;
	  Ln_dose = log10(dose) ;
      Number = 15;
      Observed=Respond/Number;
      datalines;
   0     3  
   1.1   4 
   1.3   4 
   2.0   3
   2.2   5
   2.8   4
   3.7   5
   3.9   9
   4.4   8
   4.8  11
   5.9  12
   6.8  13
   ;
   run;

   proc print data=study ;
   run ;

   proc probit data=study log10 optc;
      model respond/number=dose / dist=logstic ;
      output out=new p=p_hat;
   run;

   proc genmod data=study ;
	p = _mean_ ;
    xbeta = _xbeta_ ;
	pai = 0.2409 ;
	fwdlink  link  = log((p-pai)/(1-p)) ;
	invlink  ilink = pai+(1-pai)*(exp(xbeta)/(1+exp(xbeta))) ;
	model  respond/number = Ln_dose  /  dist=binomial  covb ;
	run ;
