Title 'C_ex602_Germination.sas    2001-07-02   Y.Takahashi ' ;

data d01 ;
  input  j @@ ;
  i = 1 ;
  do species='1:ageyp75', '2:ageyp73' ;
    do extract='1:Bean    ', '2:Cucumber' ;
	  input  y  n @@ ;
	  p_e = (y+0.5)/(n+1) ;
	  logit_e = log(p_e/(1-p_e)) ;
	  output ;
	  i = i + 1 ; 
    end ;
  end ;
  datalines ;
1  10  39    5   6    8  16    3  12
2  23  62   53  74   10  30   22  41
3  23  81   55  72    8  28   15  30
4  26  51   32  51   23  45   32  51
5  17  39   46  79    0   4    3   7
6   .   .   10  13    .   .    .   .
;

proc print data=D01 ; run ;

data d02 ;
  set d01 ;
  if n=. then delete ;
run ;

proc sort data=d02 out=d03 ;
  by  species  extract ;
 
data ex103grm ;
  set d03 ;
  subj = _n_ ;
  run ;

proc print data=ex103grm ; run ;


proc genmod data=ex103grm ;
  class  species  extract  ;
  model  y/n = species  extract species*extract 
               / dist=binomial  link=logit  type1 ; 
  run ;

proc genmod data=ex103grm ;
  class  species  extract  ;
  model  y/n = species  extract  species*extract 
               / dist=binomial  link=logit  type3 ; 
  lsmeans      species*extract ;  
  run ;
  
