Title1 'C_ex604_Williams.sas      2001-07-02   Y.Takahashi ' ;
Title2 'C_ex103germination.sas    2001-07-02   Y.Takahashi ' ;

data d01 ;
  input  l @@ ;
  i = 1 ;
  do species=  '1:ageyp75',  '2:ageyp73' ;
    j = input(substr(species,1,1),1.0) ;
    do extract='1:Bean    ', '2:Cucumber' ;
	  k = input(substr(extract,1,1),1.0) ; 
	  input  y  n @@ ;
	  p_e = (y+0.5)/(n+1) ;
	  logit_e = log(p_e/(1-p_e)) ;
	  output ;
	  i = i + 1 ; 
    end ;
  end ;
  datalines ;
1  10  39    5   6    8  16    3  12
2  23  62   53  74   10  30   22  41
3  23  81   55  72    8  28   15  30
4  26  51   32  51   23  45   32  51
5  17  39   46  79    0   4    3   7
6   .   .   10  13    .   .    .   .
;

proc print data=D01 ; run ;

data d02 ;
  set d01 ;
  if n=. then delete ;
run ;

proc sort data=d02 out=d03 ;
  by  species  extract ;
 
data ex103grm ;
  set d03 ;
  subj = _n_ ;
  run ;

proc print data=ex103grm ; run ;

Title3  '<<< Williams >>>' ;
proc logistic data=ex103grm ;
    class  species extract / param=ref ref=first ;
	model  y / n = species extract species*extract 
                   / scale=williams  lackfit ;
	 
run ;
/*	test1 : test intercept = 0  / print ;
    contrast '1 0 0 0' intercept 1 / estimate=parm ;
	contrast '0 1 0 0' intercept 1 extract 1  / estimate=parm  ;  
	contrast '0 0 1 0' intercept 1 species 1  / estimate=parm  ;  
	contrast '0 0 0 1' intercept 1 extract 1  species 1   extract*species 1 / estimate=parm  ;  

	contrast '1 -1  0  0' extract -1 / estimate=both ;
	contrast '0  0  1 -1' extract -1 extract*species -1 / estimate=both ;

    output  out=pred01 pred=pred  xbeta=xbeta stdxbeta=se reschi=reschi ;	 
	run ;  */

proc print data=pred01 ; 
run ;

data  ex604grm ; 
    set pred02 ;
	sigma = 1 + (n - 1)*0.0249 ;
	i_sigma = 1 / sigma ;

proc print data=ex604grm ;
run ;
Title3  '<<<  Witghted method >>>' ;

proc logistic data=ex103grm ;
    class  species extract / param=ref ref=first ;
	model  y / n = species extract species*extract 
                   / /*scale=williams*/ ;
    output  out=pred02 pred=p_hat  xbeta=xbeta stdxbeta=se reschi=reschi ;	 
	run ;

proc print data=pred02 ; 
run ;

data  ex604grm ; 
    set ex103grm ;
	sigma = 1 + (n - 1)*0.0249 ;
	i_sigma = 1 / sigma ;

proc print data=ex604grm ;
run ;

proc logistic data=ex604grm ;
    class  species extract / param=ref ref=first ;
	model  y / n = species extract species*extract ;
    output  out=pred02 pred=p_hat  xbeta=xbeta stdxbeta=se reschi=reschi ;	 
	run ;

proc genmod data=ex604grm  ;
    class  species extract  ;
	model  y / n = species extract species*extract / type3 ;
	lsmeans  species*extract ;
	run ;

proc genmod data=ex604grm  ;
    class  species extract  ;
	model  y / n = species extract species*extract / type3 ;
    weight i_sigma ;
	lsmeans  species*extract ;
	run ;


