Title 'NLMixed_rats.sas  EX 46.2 Probit-Normal Model with Binomial Data ' ;

data dd.rats;
  input trt$  m  x ;
  if (trt='c') then do;
     x1 = 1;
     x2 = 0;
  end;
  else do;
     x1 = 0;
     x2 = 1;
  end;
  litter = _n_;
  p_e      = (x+0.5) / (m+1) ;
  probit_e = probit(p_e) ;
  datalines;
   c 13 13
   c 12 12
   c  9  9
   c  9  9
   c  8  8
   c  8  8
   c 13 12
   c 12 11
   c 10  9
   c 10  9
   c  9  8
   c 13 11
   c  5  4
   c  7  5
   c 10  7
   c 10  7
   t 12 12
   t 11 11
   t 10 10
   t  9  9
   t 11 10
   t 10  9
   t 10  9
   t  9  8
   t  9  8
   t  5  4
   t  9  7
   t  7  4
   t 10  5
   t  6  3
   t 10  3
   t  7  0
 run;

 proc print  data=dd.rats ;
 run ;
 
proc nlmixed data=dd.rats;
   parms  t1=1    t2=1 
          s1=.05  s2=1;
   eta  = x1*t1 + x2*t2 + alpha;
   p    = probnorm(eta);

   model   x     ~ binomial(m,p);
   random  alpha ~ normal(0,x1*s1*s1+x2*s2*s2)  subject=litter  out=dd.random ;

   estimate 'gamma2' t2/sqrt(1+s2*s2);
   estimate 't2 - t1' t2-t1 ;

   predict   p out=dd.p;
   predict   eta out=dd.eta;

   predict   t1 out=dd.t1;
   predict   t2 out=dd.t2;

run;

proc print data=dd.p ; run ;
proc print data=dd.eta; run ;

proc print data=dd.random ; run ;
